# RK3326 Linux4.19 SDK Release Note

---

**Versions**

[TOC]

---

## rk3326_linux4.19_release_v1.2.2_20221220.xml Release Note

```
- Fix USB PID error with usbdevice
- Fix random hang with gstreamer when EOS
- Update gstreamer to 1.20.3
- Disable nak interrupt when get first isoc in token on dwc2
```


## rk3326_linux4.19_release_v1.2.1_20221120.xml Release Note

```
- Update rk817 codec driver to solve some bugs
- Add motorcomm driver for RK631 PHY
- Update weston10
- Update rkbin for ddr issues
```

## rk3326_linux4.19_release_v1.2.0_20220620.xml Release Note

**Buildroot(2018.02-rc3)**

```
- Fix sd upgrade and boot issue with SDDiskTool
- Support Vulkan and vkmark
- Switch weston to dispaly as launcher
- Update weston to fix some issues
- Upgrade wayland to buildroot upstream's 1.20.0
- Upgrade gstreamer1 to buildroot upstream's 1.20.0
- Upgrade glibc to buildroot upstream's 2.35
- Upgrade chromium-wayland to 101.0.4951.54
```

**Kernel**

```
- Add support for PX30-S/RK3326-S/RK3358
- Add SCMI for PX30-S/RK3326-S
- Add Mali quick reset support for PX30-S/RK3326-S
- Add RK817/RK809 support for PX30-S/RK3326-S
```

**rkbin**

```
- Update px30/rk3326 ddr bin to V2.07 20220531
- Update px30 bl31 version to v1.31
- Update rk3326 bl31 version to v1.31
- Update px30 bl32 version to v2.12
- Update rk3326 bl32 version to v2.12
- Update rk3358 bl32 version to v2.03
```

**u-boot**

```
- Add RK817/RK809 support for PX30-S/RK3326-S
```

**external**

```
- Add slt_gpu_light
    - Add slt_gpu_light lib for PX30-S/RK3326-S
```

## rk3326_linux4.19_release_v1.0.0_20210520.xml Release Note

```
- The first release version
```
